Bug 1119126 - pulp-admin rpm repo create '--host-ca' option doesn't work
Summary: pulp-admin rpm repo create '--host-ca' option doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: API/integration
Version: 2.4.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 2.5.0
Assignee: Barnaby Court
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 05:27 UTC by Sayli Karmarkar
Modified: 2015-03-23 01:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 21:33:18 UTC


Attachments (Terms of Use)

Description Sayli Karmarkar 2014-07-14 05:27:20 UTC
$ pulp-admin rpm repo create --repo-id=myRepo --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo/ --relative-url myRepo --host-ca /etc/pki/pulp/ca.crt --auth-ca /etc/pki/pulp/entitlement/ca.crt --auth-cert /etc/pki/pulp/entitlement/client.crt 
The server indicated one or more values were incorrect. The server provided the
following error message:

   Configuration key [https_ca] is not supported

More information can be found in the client log file ~/.pulp/admin.log.


admin.log -

2014-07-13 22:13:44,613 - ERROR - Exception occurred:
        href:      /pulp/api/v2/repositories/
        method:    POST
        status:    400
        error:     Configuration key [https_ca] is not supported
        traceback: None
        data:      {u'args': [u'Configuration key [https_ca] is not supported'], u'error': {u'code': u'PLP0000', u'data': {}, u'description': u'Configuration key [https_ca] is not supported', u'sub_errors': []}}

Comment 1 Barnaby Court 2014-07-30 18:53:16 UTC
https://github.com/pulp/pulp_rpm/pull/536

Comment 2 Randy Barlow 2014-08-13 19:59:07 UTC
This was fixed in the 2.4.1-0.1.alpha build.

Comment 3 Preethi Thomas 2014-08-18 18:05:22 UTC
verified

[root@mgmt6 test]# rpm -qa pulp-server
pulp-server-2.4.1-0.1.alpha.el6.noarch
[root@mgmt6 test]# 

[root@mgmt6 test]# pulp-admin rpm repo create --repo-id=myRepo --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo/ --relative-url myRepo --host-ca /etc/pki/pulp/ca.crt --auth-ca /root/CDN/1391032266_4771.crt --auth-cert /root/CDN/cdn.redhat.com-chain.crt 
Successfully created repository [myRepo]

[root@mgmt6 test]#

Comment 4 Randy Barlow 2014-08-20 03:31:04 UTC
We are rebasing pulp-2.4.1, and so all of these bugs can no longer be considered VERIFIED. We will need to recheck them against the rebased build to make sure the cherry picking strategy did not introduce any regressions.

Comment 5 Chris Duryee 2014-09-30 13:52:24 UTC
build: 2.5.0-0.6.beta

Comment 6 Preethi Thomas 2014-10-02 17:58:42 UTC
[root@cloud-qe-15 ~]# rpm -qa pulp-server
pulp-server-2.5.0-0.6.beta.el7.noarch
[root@cloud-qe-15 ~]# 

[root@cloud-qe-15 ~]# pulp-admin rpm repo create --repo-id=myRepo --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo/ --relative-url myRepo --host-ca /etc/pki/pulp/ca.crt --auth-ca /root/CDN/1391032266_4771.crt --auth-cert /root/CDN/cdn.redhat.com-chain.crt 
Successfully created repository [myRepo]

[root@cloud-qe-15 ~]#

Comment 7 Veiko Kukk 2014-10-23 14:10:05 UTC
It is still not working with 'update'

$ pulp-admin -u admin -p admin rpm repo update --repo-id reponame-foo --host-ca=/etc/pki/pulp/capulp.crt --auth-ca=/etc/pki/pulp/capulp.crt --auth-cert=/etc/pki/pulp/client.crt
This command may be exited via ctrl+c without affecting the request.


[\]
Running...

Task Failed

Configuration key [https_ca] is not supported

$ pulp-admin -u admin -p admin rpm repo delete --repo-id reponame-foo
This command may be exited via ctrl+c without affecting the request.


[\]
Running...

Repository [reponame-foo] successfully deleted

$ pulp-admin -u admin -p admin rpm repo create --repo-id reponame-foo --host-ca=/etc/pki/pulp/capulp.crt --auth-ca=/etc/pki/pulp/capulp.crt --auth-cert=/etc/pki/pulp/client.crt 
Successfully created repository [reponame-foo]

# rpm -qa|grep pulp
pulp-admin-client-2.4.3-1.el6.noarch
pulp-puppet-plugins-2.4.3-1.el6.noarch
python-isodate-0.5.0-4.pulp.el6.noarch
python-pulp-rpm-common-2.4.3-1.el6.noarch
python-rhsm-1.8.0-2.pulp.el6.x86_64
python-pulp-client-lib-2.4.3-1.el6.noarch
pulp-rpm-admin-extensions-2.4.3-1.el6.noarch
python-kombu-3.0.15-12.pulp.el6.noarch
pulp-selinux-2.4.3-1.el6.noarch
pulp-server-2.4.3-1.el6.noarch
python-pulp-puppet-common-2.4.3-1.el6.noarch
python-pulp-common-2.4.3-1.el6.noarch
python-pulp-bindings-2.4.3-1.el6.noarch
createrepo-0.9.9-21.2.pulp.el6.noarch
mod_wsgi-3.4-1.pulp.el6.x86_64
pulp-rpm-plugins-2.4.3-1.el6.noarch
pulp-puppet-admin-extensions-2.4.3-1.el6.noarch

# cat /etc/redhat-release 
CentOS release 6.5 (Final)

With latest updates.

Comment 8 Veiko Kukk 2014-10-23 18:20:18 UTC
In addition to my previous post, with patches from https://github.com/pulp/pulp_rpm/pull/536

+----------------------------------------------------------------------+
              Synchronizing Repository [reponame-foo]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       2342/2342 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Task Succeeded

Initializing repo metadata
[-]
... failed
Configuration key [https_ca] is not supported


Task Failed

Configuration key [https_ca] is not supported


Note You need to log in before you can comment on or make changes to this bug.